package de.cliffbreak.varo.listeners;

import org.bukkit.entity.EntityType;
import org.bukkit.entity.LivingEntity;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.CreatureSpawnEvent;

import de.cliffbreak.varo.Varo;

public class CreatureSpawnListener implements Listener {

    private Varo plugin;

    public CreatureSpawnListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler()
    public void onCreatureSpawn(CreatureSpawnEvent e) {
        LivingEntity livingEntity = e.getEntity();
        if (livingEntity.getType().equals(EntityType.WANDERING_TRADER)
                || livingEntity.getType().equals(EntityType.TRADER_LLAMA)) {
            plugin.getLogger().info("Denied Wandering-Trader Spawn");
            e.setCancelled(true);
        }
    }
}